E2B

List sandboxes (v2)

List your sandboxes with paging and state filters; what the SDK's Sandbox.list calls.

GET /e2b/v2/sandboxes● Supported

Official E2B docs ↗

Request parameters

  • metadatastring可选

    query: Metadata query used to filter the sandboxes (e.g. "user=abc&app=prod"). Each key and values must be URL encoded.

  • statearray可选

    query: Filter sandboxes by one or more states

  • orderstring可选
    默认 "desc"

    query: Sort direction by sandbox start time. Defaults to desc (newest first).

    取值 ascdesc
  • startedAfterstring可选

    query: Return sandboxes started at or after this timestamp.

  • templatestring可选

    query: Filter sandboxes by a template ID or alias.

  • nextTokenstring可选

    query: Cursor to start the list from

  • limitinteger可选
    默认 100

    query: Maximum number of items to return per page

Returns

200

Errors follow the E2B format — see error codes

Response

HTTP 200

Successfully returned all running sandboxes

application/json

NameTypeDescription
[].templateIDstringIdentifier of the template from which is the sandbox created
[].aliasstringAlias of the template
[].sandboxIDstringIdentifier of the sandbox
[].clientIDstringIdentifier of the client
[].startedAtstringTime when the sandbox was started
[].endAtstringTime when the sandbox will expire
[].cpuCountintegerCPU cores for the sandbox
[].memoryMBintegerMemory for the sandbox in MiB
[].diskSizeMBintegerDisk size for the sandbox in MiB
[].metadataany
[].statestringState of the sandbox
[].envdVersionstringVersion of the envd running in the sandbox
[].volumeMountsarray<object>
[].volumeMounts[].namestringName of the volume
[].volumeMounts[].pathstringPath of the volume